InvicePlane 1.5.3 released


#1

A new release of the InvoicePlane application is available: v1.5.3
You can download the latest version from the InvoicePlane website.

Update Guide | Changelog


This is a small release with a couple of fixes for the latest versions of InvoicePlane.

If you want to know more about InvoicePlane 1.5 please visit the original topic.


:beetle: Known bugs in version 1.5.3

  • Import not working properly (IP-510)
  • Dashboard may show wrong amounts for invoices with multiple payments (IP-527)
  • Invoice are shown twice if they have multiple payments (IP-527)

#2

#3

Thank you very much for this release.

What is the update procedure, I followed the https://wiki.invoiceplane.com/en/1.5/getting-started/updating-ip but I didn’t found from 1.5.2 to 1.5.3.

Could you please guide me?

Respectfully,


#4

Hi snake_eyes,

you have just do :
Upgrade from 1.5.0 to 1.5.1

If you upgrade InvoicePlane from version 1.5.0 to 1.5.1 please follow these additional steps:

Open the ipconfig.php file with a text editor and remove the hash (#) in the first line so the first characters of the file are <?php.
Delete the following folder and its content as it’s no longer needed: application/modules/setup/libraries
You can now disable the setup from your ipconfig.php file. To do so, copy DISABLE_SETUP=false to your ipconfig.php and change it to DISABLE_SETUP=true. You can remove the corresponding line from your .htaccess file if you want.

Because there are no additional tasks to do if you upgrade InvoicePlane from version 1.5.1 to 1.5.2

So it’s the same from 1.5.2 to 1.5.3


#5

Correct. No additional steps.


#6

I did what you already mentioned but I 'm still getting update available 1.5.3 although I uploaded the latest version.

Any suggestion?


#7

Which version is displayed in your settings? If you still have 1.5.2 displayed you need to run the setup again.


#8

Thank you & much Appreciated

:smiley:


#9

Hi,

Just upgraded my InvoicePlane from 4.8 a to 5.3.
It worked!
Some small things noted if it can help the community:
In the update instructions maybe adding that the logo image files need to be backed up as well under uploads/
And it may be a security feature but I needed to reset my email password in the email SMTP settings otherwise mails did not get out.
Also I had a warning about a line with “sess_database” had to be changed in config.php but I couldn’t find this line
Just a translation miss : the date of the quotes and invoices on the dashboard are in English even if the install and system language is not English.
There is something strange with the language setting : when IP is in English I can add a date to an invoice created from a quote ; when it’s in French IP is blocked with an error message. Same error when I want to change the date of a draft invoice.

And finally the text font size in the admin pages is now smaller (our eyes get older each day…)


#10

dear friends i am using godaddy windows hosting…i tried to upload to godaddy server…it shows error…is it plane invoice problem or my configuration problem


#11

I doubt that there will be much support here as GoDaddy servers were reported to not to work very well with InvoicePlane several times. Sorry.


#12

Hi Kovah,

i have upgrade my invoice plane form 1.4.8 to 1.5.3.
All is work fine but if i download invoice PDF the system return a blank page with this error:
A PHP Error was encountered

Severity: Notice

Message: Undefined offset: 1

Filename: src/Mpdf.php

Line Number: 21714

Backtrace:

File: *****/invoices/vendor/mpdf/mpdf/src/Mpdf.php
Line: 21714
Function: _error_handler

File:*****/invoices/vendor/mpdf/mpdf/src/Mpdf.php
Line: 23004
Function: _tableGetHeight

File: *****/invoices/vendor/mpdf/mpdf/src/Tag.php
Line: 6747
Function: _tableWrite

File: *****/invoices/vendor/mpdf/mpdf/src/Mpdf.php
Line: 14873
Function: CloseTag

File: *****/invoices/vendor/mpdf/mpdf/src/Mpdf.php
Line: 13664
Function: WriteHTML

File: *****/invoices/vendor/mpdf/mpdf/src/Mpdf.php
Line: 13591
Function: _getHtmlHeight

File: *****/invoices/application/helpers/mpdf_helper.php
Line: 72
Function: SetHTMLFooter

File: *****/invoices/application/helpers/pdf_helper.php
Line: 103
Function: pdf_create

File:*****/invoices/application/modules/invoices/controllers/Invoices.php
Line: 280
Function: generate_invoice_pdf

File: *****/invoices/index.php
Line: 327
Function: require_once

I have substitute my private url with *****
This error is generate also with the default template of invoiceplane.

Thanks


#13

Please double check if the templates were correctly replaced by the new ones. Everything works without any problems for me.


#14

Can I update 1.4.3 directly to 1.5.3? Do I have to do something extra?


#15

Please update to version 1.4.10 first and then follow the steps discribed in the the wiki:
https://wiki.invoiceplane.com/en/1.5/getting-started/updating-ip#upgrade-from-previous


#16

OK thank you for your answer.


#17